Bug 107743 - root and non-root rpmbuild gives different rpm
root and non-root rpmbuild gives different rpm
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mod_perl (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 12:02 EDT by Mike Schwarz
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Schwarz 2003-10-22 12:02:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
In recompiling (rpmbuild -ba mod_perl.spec as a non-root user) mod_perl and
updating to newest release, I found lots of messages in the output of the form:

eu-strip: while opening
"/var/tmp/mod_perl-root/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/APR/PerlIO/PerlIO.so":
Permission denied

In looking at this, the .so files are read-only with permission 555.  Using
strip instead of eu-strip will strip the file.  (is this an eu-strip issue?). 
To see the differences, I ran rpmbuild as root and got very different results. 
The resulting rpm sizes are:

mod_perl-1.99_10-1.i386.rpm:
   as root   1196696
   as myself 3845872

So as root the size is less than one-third.

mod_perl-debuginfo-1.99_10-1.i386.rpm:
   as root   3968649
   as myself 1345680

The savings in size is put in the debuginfo which is reasonable.  This is not
normally installed though.

It appears the distributed mod_perl was built an a non-root user also as it is
3.3Mb in size.  This may reduce significantly the size of the redhat 9 install
as there are several 'not stripped' bins and libs.

Version-Release number of selected component (if applicable):
rpm-build-4.2-0.69 elfutils-0.76-3

How reproducible:
Always

Steps to Reproduce:
1. rpm -i mod_perl-1.99_10-1.src.rpm  or  mod_perl-1.99_07-1.src.rpm
2. cd /usr/src/redhat
3. sudo chown <non-root-user> BUILD RPMS RPM/i386
4. as non-root-user: rpmbuild -ba SPECS/mod_perl.spec > BUILD/out.user
5. for i in RPM/i386/mod_perl*; do mv $i $i-non-root; done
6. as root: rpmbuild -ba SPECS/mod_perl.spec > BUILD/out.root
7. ls -l RPM/i386/mod_perl*
8. diff BUILD/out.*

Actual Results:  The mod_perl rpms are vastly different sizes.
There are eu-strip errors in BUILD/out.user

Expected Results:  The mod_perl rpms should be same or almost same size.

Additional info:
Comment 1 Jeff Johnson 2003-10-30 07:37:42 EST
This is mod_perl packaging problem ...
Comment 2 Bill Nottingham 2006-08-05 01:37:21 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 14:23:01 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.